--- old/usr/src/uts/common/inet/sctp/sctp_bind.c	2014-04-12 11:18:55.963316809 +0000
+++ new/usr/src/uts/common/inet/sctp/sctp_bind.c	2014-04-12 11:18:55.971805937 +0000
@@ -162,6 +162,9 @@
 		connp->conn_ixa->ixa_tsl = crgetlabel(connp->conn_cred);
 
 	sctp->sctp_state = SCTPS_LISTEN;
+	DTRACE_SCTP6(state__change, void, NULL, ip_xmit_attr_t *,
+	    connp->conn_ixa, void, NULL, sctp_t *, sctp, void, NULL,
+	    int32_t, SCTPS_BOUND);
 	(void) random_get_pseudo_bytes(sctp->sctp_secret, SCTP_SECRET_LEN);
 	sctp->sctp_last_secret_update = ddi_get_lbolt64();
 	bzero(sctp->sctp_old_secret, SCTP_SECRET_LEN);
@@ -708,6 +711,10 @@
 			 * number.
 			 */
 			sctp->sctp_state = SCTPS_BOUND;
+			DTRACE_SCTP6(state__change, void, NULL,
+			    ip_xmit_attr_t *, connp->conn_ixa, void, NULL,
+			    scpt_t *, sctp, void, NULL,
+			    int32_t, SCTPS_IDLE);
 			connp->conn_lport = lport;
 
 			ASSERT(&sctps->sctps_bind_fanout[
